<?php

$mask = array(
	      'table' => 'metro_artikel',
	      'title' => 'Artikelstammdaten',
	      'join' => array('metro_abteilung ON abteilung = metro_abteilung.id'),
	      'list' => array(
			      'id' => array(
					    'name' => 'ID',
					    'visible' => false,
					    'sql' => 'metro_artikel.id',
					    ),
			      'artnr' => array(
					    'name' => 'ArtNr',
					    'width' => 60,
					    ),
			      'menge' => array(
					    'name' => 'Menge',
					    'width' => 60,
					    'specs' => "ClassName: 'alignrightpad', filterUI: 't'",
					    ),
			      'bezeichnung' => array(
					    'name' => 'Bezeichnung',
					    'width' => 345,
					    'specs' => "filterUI: 't'",
					    ),
			      'hersteller' => array(
					    'name' => 'Hersteller',
					    'width' => 100,
					    'specs' => "filterUI: 't'",
					    'visible' => false,
					    ),
			      'abteilung' => array(
					    'name' => 'Abteilung',
					    'width' => 200,
					    'specs' => "filterUI: 's'",
					    'control' => "new Rico.TableColumn.lookup(".grid_lookup_sql('metro_abteilung','id','name').", 0, '')",
					    'visible' => false,
					    ),
			      'gang' => array(
					    'name' => 'Gang',
					    'width' => 50,
					    'specs' => "ClassName: 'aligncenter', filterUI: 's'",
					    'visible' => false,
					    ),
			      'vpe' => array(
					    'name' => 'Einheit',
					    'width' => 70,
					    'specs' => "ClassName: 'aligncenter', filterUI: 's'",
					    'control' => "new Rico.TableColumn.lookup(".grid_lookup_sql('metro_vpe','id','name').", 0, '')",
					    ),
			      ),
	      'edit' => array(
			      'artnr' => array(
					    'name' => 'Artikelnummer',
					    'type' => 'number',
					    'size' => 25,
					    'required' => true,
					    ),
			      'abteilung' => array(
					    'name' => 'Abteilung',
					    'type' => 'select',
					    'options' => 'SELECT id,name AS text FROM metro_abteilung ORDER BY name',
					    'option_empty' => '-- select --',
					    'required' => true,
					    ),
			      'vpe' => array(
					    'name' => 'Verpackungseinheit',
					    'type' => 'select',
					    'options' => 'SELECT id,name AS text FROM metro_vpe ORDER BY name',
					    'option_empty' => '-- select --',
					    'required' => true,
					    ),
			      'menge' => array(
					    'name' => 'Menge',
					    'type' => 'text',
					    'size' => 15,
					    'null' => true,
					    ),
			      'bezeichnung' => array(
					    'name' => 'Bezeichnung',
					    'type' => 'text',
					    'size' => 25,
					    'required' => true,
					    ),
			      'hersteller' => array(
					    'name' => 'Hersteller',
					    'type' => 'text',
					    'size' => 25,
					    'null' => true,
					    ),
			      ),
	      );

?>
